//
//  NSStoryboardSegue+MINTLExtension.swift
//  ViewControllerSikenjo
//
//  Created by narita on 2018/12/10.
//  Copyright © 2018 narita. All rights reserved.
//

import AppKit
import Foundation

extension NSStoryboardSegue
{
    
    // for NSWindowController
    open var sourceWindowController: NSWindowController?
    {
        return sourceController as? NSWindowController
    }
    
    open var destinationWindowController: NSWindowController?
    {
        return destinationController as? NSWindowController
    }
    
    // for NSViewController
    open var sourceViewController: NSViewController?
    {
        return sourceController as? NSViewController
    }
    
    open var destinationViewController: NSViewController?
    {
        return destinationController as? NSViewController
    }
}
